# Uses of Interface
org.opensaml.xacml.policy.VariableDefinitionType

Packages that use VariableDefinitionType
Package
Description
org.opensaml.xacml.policy
XMLObject interfaces for XACML policy schema.
org.opensaml.xacml.policy.impl
XMLObject provider implementation classes for XACML policy schema.

## Uses of VariableDefinitionType in org.opensaml.xacml.policy

Methods in org.opensaml.xacml.policy that return types with arguments of type VariableDefinitionType
Modifier and Type
Method
Description
`List<VariableDefinitionType>`
PolicyType.`getVariableDefinitions()`
Gets the variable definition for this policy.

## Uses of VariableDefinitionType in org.opensaml.xacml.policy.impl

Classes in org.opensaml.xacml.policy.impl that implement VariableDefinitionType
Modifier and Type
Class
Description
`class`
`VariableDefinitionTypeImpl`
Implementation `VariableDefinitionType`.
Methods in org.opensaml.xacml.policy.impl that return VariableDefinitionType
Modifier and Type
Method
Description
`VariableDefinitionType`
VariableDefinitionTypeImplBuilder.`buildObject()`
Builds a XACMLObject using the default name and namespace information provided XACML specifications.
`VariableDefinitionType`
VariableDefinitionTypeImplBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
Methods in org.opensaml.xacml.policy.impl that return types with arguments of type VariableDefinitionType
Modifier and Type
Method
Description
`List<VariableDefinitionType>`
PolicyTypeImpl.`getVariableDefinitions()`
Gets the variable definition for this policy.